Bug 131713 - multimedia/gpac-libgpac: gpac-libgpac-0.4.5,1 not compile, missing path to GL.h header
Summary: multimedia/gpac-libgpac: gpac-libgpac-0.4.5,1 not compile, missing path to GL...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-15 15:10 UTC by Oleg
Modified: 2009-02-20 07:28 UTC (History)
0 users

See Also:


Attachments
file.diff (603 bytes, patch)
2009-02-15 15:10 UTC, Oleg
no flags Details | Diff
gpac-libgpac.diff (2.15 KB, patch)
2009-02-18 17:59 UTC, Jung-uk Kim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg 2009-02-15 15:10:01 UTC
compile failed with follow messages:
--
In file included from compositor/mesh.c:33:
compositor/gl_inc.h:45:19: error: GL/gl.h: No such file or directory
gmake: *** [compositor/mesh.opic] Error 1
*** Error code 2

Stop in /usr/ports/multimedia/gpac-libgpac.
--

Fix: define /usr/local/include in configure file (patch.txt)
(+ Maybe set dependency in Makefile through USE_GL= yes ?>)

Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/multimedia/gpac-libgpac && make
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-02-15 21:08:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-multimedia

Fix synopsis and assign.
Comment 2 Li-Wen Hsu freebsd_committer 2009-02-15 23:14:56 UTC
Responsible Changed
From-To: freebsd-multimedia->lwhsu

I'll take it.
Comment 3 Jung-uk Kim freebsd_committer 2009-02-18 17:59:00 UTC
Resending the patch to make a note on GNATS.

Jung-uk Kim
Comment 4 dfilter service freebsd_committer 2009-02-19 23:21:12 UTC
jkim        2009-02-19 23:20:57 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/gpac-libgpac Makefile 
  Added files:
    multimedia/gpac-libgpac/files patch-configure 
  Removed files:
    multimedia/gpac-libgpac/files patch-src_Makefile 
  Log:
  - Make IPv6 and OpenGL optional but turn them on by default[1].
  - Fix build with OpenGL and register its dependency when it is enabled.
  - Move FreeBSD-specific stuff into configure script from src/Makefile.
  - Make portlint happy with PKGNAMESUFFIX.
  
  PR:     ports/131681[1], ports/131713, ports/131789
  
  Revision  Changes    Path
  1.17      +23 -8     ports/multimedia/gpac-libgpac/Makefile
  1.1       +66 -0     ports/multimedia/gpac-libgpac/files/patch-configure (new)
  1.3       +0 -19     ports/multimedia/gpac-libgpac/files/patch-src_Makefile (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Li-Wen Hsu freebsd_committer 2009-02-20 07:28:18 UTC
State Changed
From-To: open->closed

fixed.